import request from '/@/utils/request';

export function departmentApi() {
    return {
        getDepartmentList: () => {
            return request({
                url: `/department/list`,
                method: 'post',
            });
        },
        addDepartment: (data: object) => {
            return request({
                url: `/department/add`,
                method: 'post',
                data:data
            });
        },
        modDepartment: (data: object) => {
            return request({
                url: `/department/mod`,
                method: 'post',
                data:data
            });
        },
    };
}
